<div class="details-content">
  <form
    [formGroup]="editPersonForm"
    (ngSubmit)="onSubmit(editPersonForm.value)"
    class="details-content__info"
  >
    <div class="details-content__info__person">
      <img
        *ngIf="person && person.imageUri"
        [src]="'https://bigbang-rest-demo.herokuapp.com/' + person.imageUri"
        [alt]="person.name"
      />
      <img
        *ngIf="!person || (person && !person.imageUri)"
        src="assets/images/dummy.png"
        alt="sad face"
      />
      <p class="form-title">First name</p>
      <p *ngIf="!isActive && person">{{ person.name }}</p>
      <input
        id="name"
        formControlName="name"
        *ngIf="isActive"
        type="text"
        [class]="
          (name.touched || name.dirty) && name.errors?.required
            ? 'required'
            : ''
        "
      />
      <p class="form-title">Last name</p>
      <p *ngIf="!isActive && person">{{ person.lastName }}</p>
      <input
        id="lastName"
        formControlName="lastName"
        *ngIf="isActive"
        type="text"
        [class]="
          (lastName.touched || lastName.dirty) && lastName.errors?.required
            ? 'required'
            : ''
        "
      />
    </div>
    <div class="details-content__info__extra">
      <p class="form-title">Real name</p>
      <p *ngIf="!isActive && person">{{ person.realName }}</p>
      <input
        id="realName"
        formControlName="realName"
        *ngIf="isActive"
        type="text"
        [class]="
          (realName.touched || realName.dirty) && realName.errors?.required
            ? 'required'
            : ''
        "
      />
      <p class="form-title">Profession</p>
      <p *ngIf="!isActive && person">{{ person.profession }}</p>
      <input
        id="profession"
        formControlName="profession"
        *ngIf="isActive"
        type="text"
      />
      <p class="form-title">url</p>
      <p *ngIf="!isActive && person">{{ person.url }}</p>
      <input id="url" formControlName="url" *ngIf="isActive" type="text" />
      <p class="form-title">Bio</p>
      <p *ngIf="!isActive && person" class="details-bio">
        {{ person.bio }}
      </p>
      <textarea
        id="bio"
        formControlName="bio"
        class="details-bio__edit-bio"
        *ngIf="isActive"
        type="text"
      ></textarea>
      <button *ngIf="isActive" class="button" type="submit">Save</button>
    </div>
  </form>
</div>
